summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorLudovic Courtès <ludo@gnu.org>2020-06-20 12:54:05 +0200
committerLudovic Courtès <ludo@gnu.org>2020-06-20 13:18:11 +0200
commit90f496be9ad53802fd260cac3840e7bae24a3e39 (patch)
treed1906d59cc1ee090c51d0b92d7fc250579c5166f /tests
parentcdea526556b1d19e823fe6d5ec010a58278e25d3 (diff)
downloadguix-patches-90f496be9ad53802fd260cac3840e7bae24a3e39.tar
guix-patches-90f496be9ad53802fd260cac3840e7bae24a3e39.tar.gz
tests: Actually run 'tests/guix-environment-container.sh'.
This test was skipped since the switch to Guile 3 because 'assert-container-features' would be inlined and thus accessing it with @@ would fail with an unbound-variable error. * guix/scripts/environment.scm (assert-container-features): Export. * tests/guix-environment-container.sh: Use single '@'.
Diffstat (limited to 'tests')
-rw-r--r--tests/guix-environment-container.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/guix-environment-container.sh b/tests/guix-environment-container.sh
index d313f2e734..45264d4978 100644
--- a/tests/guix-environment-container.sh
+++ b/tests/guix-environment-container.sh
@@ -24,7 +24,7 @@ set -e
guix environment --version
-if ! guile -c '((@@ (guix scripts environment) assert-container-features))'
+if ! guile -c '((@ (guix scripts environment) assert-container-features))'
then
# User containers are not supported; skip this test.
exit 77